---
title: Error.prototype.name
slug: Web/JavaScript/Reference/Global_Objects/Error/name
tags:
  - JavaScript
  - Property
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <code><strong>name</strong></code> property represents a name for the type of error. The initial value is "Error".</p>

<h2 id="Description">Description</h2>

<p>By default, {{jsxref("Error")}} instances are given the name "Error". The <code>name</code> property, in addition to the {{jsxref("Error.prototype.message", "message")}} property, is used by the {{jsxref("Error.prototype.toString()")}} method to create a string representation of the error.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Throwing_a_custom_error">Throwing a custom error</h3>

<pre class="brush: js notranslate">var e = new Error('Malformed input'); // e.name is 'Error'

e.name = 'ParseError';
throw e;
// e.toString() would return 'ParseError: Malformed input'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-error.prototype.name', 'Error.prototype.name')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Error.name")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Error.prototype.message")}}</li>
 <li>{{jsxref("Error.prototype.toString()")}}</li>
</ul>
